#include <OOC/AST/ExtTree/XML.d>
#include <__oo2c.h>
#include <setjmp.h>

void OOC_AST_ExtTree_XML__Write(IO__ByteChannel cw, OOC_AST_ExtTree__Module m) {
  register OOC_INT64 i0,i1;
  XML_Writer__Writer w;
  auto void OOC_AST_ExtTree_XML__Write_Node(OOC_AST__Node n);
    
    void OOC_AST_ExtTree_XML__Write_Node(OOC_AST__Node n) {
      register OOC_INT64 i0,i1,i2,i3,i4;
      OOC_INT32 i;
      auto void OOC_AST_ExtTree_XML__Write_Node_NodeDocString(OOC_Doc__Document doc);
        
        void OOC_AST_ExtTree_XML__Write_Node_NodeDocString(OOC_Doc__Document doc) {
          register OOC_INT64 i0,i1;

          i0 = (OOC_INT64)doc;
          i1 = i0!=(OOC_INT64)0;
          if (!i1) goto l4;
          i1 = (OOC_INT64)w;
          OOC_Doc_Output_XML__WriteOberonDoc((XML_Writer__Writer)i1, (OOC_Doc__Document)i0, (OOC_SymbolTable__Module)(OOC_INT64)0, (ADT_Dictionary__Dictionary)(OOC_INT64)0, (OOC_Config_Repositories__Section)(OOC_INT64)0, (ADT_Dictionary__Dictionary)(OOC_INT64)0);
l4:
          return;
          ;
        }


      i0 = (OOC_INT64)n;
      i1 = i0!=(OOC_INT64)0;
      if (!i1) goto l195;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 2274)))), &_td_OOC_AST__NodeListDesc);
      if (i1) goto l185;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 2456)))), &_td_OOC_AST_ExtTree__TerminalDesc);
      if (i1) goto l183;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 2679)))), &_td_OOC_AST_ExtTree__IdentDefDesc);
      if (i1) goto l181;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 2878)))), &_td_OOC_AST_ExtTree__ModuleIdentDesc);
      if (i1) goto l179;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 3062)))), &_td_OOC_AST_ExtTree__ArrayTypeDesc);
      if (i1) goto l177;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 3304)))), &_td_OOC_AST_ExtTree__FieldListDesc);
      if (i1) goto l175;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 3496)))), &_td_OOC_AST_ExtTree__RecordTypeDesc);
      if (i1) goto l173;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 3804)))), &_td_OOC_AST_ExtTree__PointerTypeDesc);
      if (i1) goto l171;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 4022)))), &_td_OOC_AST_ExtTree__FPSectionDesc);
      if (i1) goto l169;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 4239)))), &_td_OOC_AST_ExtTree__FormalParsDesc);
      if (i1) goto l167;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 4581)))), &_td_OOC_AST_ExtTree__ProcTypeDesc);
      if (i1) goto l165;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 4752)))), &_td_OOC_AST_ExtTree__TPSectionDesc);
      if (i1) goto l163;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 4944)))), &_td_OOC_AST_ExtTree__TypeParsDesc);
      if (i1) goto l161;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 5140)))), &_td_OOC_AST_ExtTree__QualTypeDesc);
      if (i1) goto l159;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 5366)))), &_td_OOC_AST_ExtTree__ImportDeclDesc);
      if (i1) goto l157;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 5562)))), &_td_OOC_AST_ExtTree__ConstDeclDesc);
      if (i1) goto l155;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 5786)))), &_td_OOC_AST_ExtTree__TypeDeclDesc);
      if (i1) goto l153;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 6038)))), &_td_OOC_AST_ExtTree__VarDeclDesc);
      if (i1) goto l151;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 6257)))), &_td_OOC_AST_ExtTree__ReceiverDesc);
      if (i1) goto l149;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 6525)))), &_td_OOC_AST_ExtTree__ProcDeclDesc);
      if (i1) goto l147;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 6893)))), &_td_OOC_AST_ExtTree__ImportListDesc);
      if (i1) goto l145;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 7093)))), &_td_OOC_AST_ExtTree__BodyDesc);
      if (i1) goto l143;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 7329)))), &_td_OOC_AST_ExtTree__ModuleDesc);
      if (i1) goto l141;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 7628)))), &_td_OOC_AST_ExtTree__OperatorDesc);
      if (i1) goto l139;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 7810)))), &_td_OOC_AST_ExtTree__FactorDesc);
      if (i1) goto l137;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 7993)))), &_td_OOC_AST_ExtTree__SetDesc);
      if (i1) goto l135;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 8203)))), &_td_OOC_AST_ExtTree__ArrayIndexDesc);
      if (i1) goto l133;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 8424)))), &_td_OOC_AST_ExtTree__FunctionCallDesc);
      if (i1) goto l131;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 8662)))), &_td_OOC_AST_ExtTree__AssignmentDesc);
      if (i1) goto l129;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 8739)))), &_td_OOC_AST_ExtTree__ProcedureCallDesc);
      if (i1) goto l127;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 8883)))), &_td_OOC_AST_ExtTree__IfStatmDesc);
      if (i1) goto l125;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 9103)))), &_td_OOC_AST_ExtTree__CaseStatmDesc);
      if (i1) goto l123;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 9402)))), &_td_OOC_AST_ExtTree__WhileStatmDesc);
      if (i1) goto l121;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 9645)))), &_td_OOC_AST_ExtTree__RepeatStatmDesc);
      if (i1) goto l119;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 9868)))), &_td_OOC_AST_ExtTree__ForStatmDesc);
      if (i1) goto l117;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 10270)))), &_td_OOC_AST_ExtTree__LoopStatmDesc);
      if (i1) goto l115;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 10459)))), &_td_OOC_AST_ExtTree__WithStatmDesc);
      if (i1) goto l113;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 10683)))), &_td_OOC_AST_ExtTree__ExitStatmDesc);
      if (i1) goto l111;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 10817)))), &_td_OOC_AST_ExtTree__ReturnStatmDesc);
      if (i1) goto l109;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 10983)))), &_td_OOC_AST_ExtTree__TryStatmDesc);
      if (i1) goto l107;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 11210)))), &_td_OOC_AST_ExtTree__FlagsDesc);
      if (i1) goto l105;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 11393)))), &_td_OOC_AST_ExtTree__ProcIdFlagDesc);
      if (i1) goto l103;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 11587)))), &_td_OOC_AST_ExtTree__ModuleFlagsDesc);
      if (i1) goto l101;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 11908)))), &_td_OOC_AST_ExtTree__LinkFileFlagDesc);
      if (i1) goto l99;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 12199)))), &_td_OOC_AST_ExtTree__LinkObjFlagDesc);
      if (i1) goto l97;
      i1 = OOC_TYPE_TEST(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 12367)))), &_td_OOC_AST_ExtTree__LinkLibFlagDesc);
      if (i1) goto l95;
      _failed_with(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 12364)))), 12364);
      goto l195;
l95:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 12403)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){108,105,110,107,95,108,105,98,95,102,108,97,103,0}), 14, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 12457));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12482))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12511))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12539))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12573))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12601))+40);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12632))+48);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12663))+56);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12690))+64);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 12715)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l97:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 12235)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){108,105,110,107,95,111,98,106,95,102,108,97,103,0}), 14, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 12289));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12314))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 12338)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l99:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 11945)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){108,105,110,107,95,102,105,108,101,95,102,108,97,103,0}), 15, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 12000));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12026))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12056))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12087))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12118))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 12145))+40);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 12170)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l101:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 11623)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){109,111,100,117,108,101,95,102,108,97,103,115,0}), 13, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 11676));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11706))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11736))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11769))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11800))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11826))+40);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11860))+48);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 11879)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l103:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 11428)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){112,114,111,99,95,105,100,95,102,108,97,103,0}), 13, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 11481));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11509))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11536))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 11558)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l105:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 11240)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){102,108,97,103,115,0}), 6, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11286))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11313))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11343))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 11364)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l107:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 11016)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){116,114,121,95,115,116,97,116,109,0}), 10, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 11065));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11088))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11116))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 11145))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 11163)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l109:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 10853)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){114,101,116,117,114,110,95,115,116,97,116,109,0}), 13, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 10906));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10934))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 10954)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l111:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 10717)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){101,120,105,116,95,115,116,97,116,109,0}), 11, 0u);
      i0 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 10768));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 10788)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l113:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 10493)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){119,105,116,104,95,115,116,97,116,109,0}), 11, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 10544));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10575))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10601))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10635))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 10654)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l115:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 10304)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){108,111,111,112,95,115,116,97,116,109,0}), 11, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 10355));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10381))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10411))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 10430)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l117:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 9901)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){102,111,114,95,115,116,97,116,109,0}), 10, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 9951));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9976))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10003))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10032))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10064))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10088))+40);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10118))+48);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10142))+56);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10168))+64);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10192))+72);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 10222))+80);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 10241)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l119:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 9681)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){114,101,112,101,97,116,95,115,116,97,116,109,0}), 13, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 9734));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9762))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9792))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9819))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 9839)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l121:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 9437)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){119,104,105,108,101,95,115,116,97,116,109,0}), 12, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 9489));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9516))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9543))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9567))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9597))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 9616)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l123:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 9137)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){99,97,115,101,95,115,116,97,116,109,0}), 11, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 9188));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9214))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9240))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9264))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9294))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9320))+40);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9354))+48);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 9373)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l125:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 8915)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){105,102,95,115,116,97,116,109,0}), 9, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 8964));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 8995))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9021))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 9055))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 9074)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l127:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 8777)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){112,114,111,99,101,100,117,114,101,95,99,97,108,108,0}), 15, 0u);
      i0 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 8832));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 8852)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l129:
      i0 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 8703));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      goto l195;
l131:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 8461)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){102,117,110,99,116,105,111,110,95,99,97,108,108,0}), 14, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 8515));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 8543))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 8571))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 8602))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 8624)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l133:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 8238)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){97,114,114,97,121,95,105,110,100,101,120,0}), 12, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 8290));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 8318))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 8345))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 8374))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 8395)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l135:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 8021)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){115,101,116,0}), 4, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 8065));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 8091))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 8119))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 8152))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 8174)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l137:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 7841)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){102,97,99,116,111,114,0}), 7, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 7888));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7916))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7942))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 7964)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l139:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 7661)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){111,112,101,114,97,116,111,114,0}), 9, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 7710));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7736))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7760))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 7781)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l141:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 7360)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){109,111,100,117,108,101,0}), 7, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 7407));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7435))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7461))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7488))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7519))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7551))+40);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7577))+48);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 7599)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l143:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 7122)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){98,111,100,121,0}), 5, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 7167));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7196))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7223))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7253))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7278))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 7298)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l145:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 6928)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){105,109,112,111,114,116,95,108,105,115,116,0}), 12, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 6980));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7008))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 7037))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 7062)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l147:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 6558)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){112,114,111,99,95,100,101,99,108,0}), 10, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 6608));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6634))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6661))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6691))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6718))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6748))+40);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6780))+48);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6812))+56);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6838))+64);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 6864)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l149:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 6290)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){114,101,99,101,105,118,101,114,0}), 9, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 6339));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6367))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6392))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6419))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6446))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6472))+64);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 6494)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l151:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 6070)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){118,97,114,95,100,101,99,108,0}), 9, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 6119));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6150))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6177))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 6203))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 6228)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l153:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 5819)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){116,121,112,101,95,100,101,99,108,0}), 10, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 5869));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5899))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5929))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5956))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5982))+40);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 6007)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l155:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 5596)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){99,111,110,115,116,95,100,101,99,108,0}), 11, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 5647));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5677))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5704))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5730))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 5755)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l157:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 5401)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){105,109,112,111,114,116,95,100,101,99,108,0}), 12, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 5453));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5480))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5509))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 5531)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l159:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 5173)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){113,117,97,108,95,116,121,112,101,0}), 10, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 5223));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5254))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5282))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5313))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 5335)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l161:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 4977)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){116,121,112,101,95,112,97,114,115,0}), 10, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 5027));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5055))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 5087))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 5109)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l163:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 4786)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){116,112,95,115,101,99,116,105,111,110,0}), 11, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4837))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4868))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4895))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 4915)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l165:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 4614)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){112,114,111,99,95,116,121,112,101,0}), 10, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 4664));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4695))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 4721)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l167:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 4274)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){102,111,114,109,97,108,95,112,97,114,115,0}), 12, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 4326));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4353))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4381))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4413))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4441))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4468))+40);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4496))+48);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4524))+56);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 4550)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l169:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 4056)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){102,112,95,115,101,99,116,105,111,110,0}), 11, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 4107));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4132))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4163))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 4190))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 4210)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l171:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 3840)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){112,111,105,110,116,101,114,95,116,121,112,101,0}), 13, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 3893));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3922))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3949))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3973))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 3993)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l173:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 3531)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){114,101,99,111,114,100,95,116,121,112,101,0}), 12, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 3583));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3611))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3638))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3666))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3696))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3724))+40);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3756))+48);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 3775)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l175:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 3338)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){102,105,101,108,100,95,108,105,115,116,0}), 11, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 3389));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3420))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3447))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 3467)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l177:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 3096)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){97,114,114,97,121,95,116,121,112,101,0}), 11, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 3147));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3174))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3201))+16);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3231))+24);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3255))+32);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 3275)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l179:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 2914)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){109,111,100,117,108,101,95,105,100,101,110,116,0}), 13, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 2967));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 3006))+8);
      OOC_AST_ExtTree_XML__Write_Node_NodeDocString((OOC_Doc__Document)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 3031)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l181:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 2712)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){105,100,101,110,116,95,100,101,102,0}), 10, 0u);
      i1 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 2762));
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i1 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 2789))+8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i1);
      i0 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 2824))+16);
      OOC_AST_ExtTree_XML__Write_Node_NodeDocString((OOC_Doc__Document)i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 2849)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l183:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 2489)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){115,121,109,98,111,108,0}), 7, 1u);
      i1 = (OOC_INT64)w;
      i2 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 2568));
      i2 = *(OOC_INT8*)((_check_pointer(i2, 2573))+8);
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 2529)))), XML_Writer__WriterDesc_AttrStringLatin1)),XML_Writer__WriterDesc_AttrStringLatin1)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){105,100,0}), 3, (void*)((OOC_INT64)OOC_Scanner_Symbol__name+((_check_index(i2, 81, OOC_UINT8, 2566))*13)), 13);
      i1 = (OOC_INT64)w;
      i2 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 2609));
      i2 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i2, 2614))+16);
      i3 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 2609));
      i3 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i3, 2614))+16);
      i0 = (OOC_INT64)*(OOC_INT64*)(_check_pointer(i0, 2626));
      i3 = OOC_ARRAY_LENGTH((_check_pointer(i3, 2619)), 0);
      i0 = *(OOC_INT32*)((_check_pointer(i0, 2631))+24);
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 2592)))), XML_Writer__WriterDesc_WriteLatin1I)),XML_Writer__WriterDesc_WriteLatin1I)((XML_Writer__Writer)i1, (void*)(_check_pointer(i2, 2619)), i3, 0, i0);
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 2650)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
      goto l195;
l185:
      i1 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i1, 2303)))), XML_Writer__WriterDesc_StartTag)),XML_Writer__WriterDesc_StartTag)((XML_Writer__Writer)i1, ((OOC_CHAR16[]){110,111,100,101,95,108,105,115,116,0}), 10, 0u);
      i1 = *(OOC_INT32*)(_check_pointer(i0, 2361));
      i = 0;
      i2 = 0<i1;
      if (!i2) goto l193;
      i2=0;
l188_loop:
      i3 = (OOC_INT64)*(OOC_INT64*)((_check_pointer(i0, 2391))+8);
      i3 = _check_pointer(i3, 2394);
      i4 = OOC_ARRAY_LENGTH(i3, 0);
      i3 = (OOC_INT64)*(OOC_INT64*)(i3+(_check_index(i2, i4, OOC_UINT32, 2394))*8);
      OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i3);
      i2 = i2+1;
      i = i2;
      i3 = i2<i1;
      if (i3) goto l188_loop;
l193:
      i0 = (OOC_INT64)w;
      OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 2425)))), XML_Writer__WriterDesc_EndTag)),XML_Writer__WriterDesc_EndTag)((XML_Writer__Writer)i0);
l195:
      return;
      ;
    }


  i0 = (OOC_INT64)cw;
  i1 = (OOC_INT64)XML_UnicodeCodec_Latin1__factory;
  i0 = (OOC_INT64)XML_Writer__New((IO__ByteChannel)i0, (XML_UnicodeCodec__Factory)i1, 1u, 2);
  w = (XML_Writer__Writer)i0;
  OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 12825)))), XML_Writer__WriterDesc_WriteTextDecl)),XML_Writer__WriterDesc_WriteTextDecl)((XML_Writer__Writer)i0, "1.0", 4, "yes", 4);
  i0 = (OOC_INT64)m;
  OOC_AST_ExtTree_XML__Write_Node((OOC_AST__Node)i0);
  i0 = (OOC_INT64)w;
  OOC_TBCALL(((OOC_INT64)OOC_TBPROC_ADR(((OOC_INT64)OOC_TYPE_TAG((_check_pointer(i0, 12876)))), XML_Writer__WriterDesc_EndOfText)),XML_Writer__WriterDesc_EndOfText)((XML_Writer__Writer)i0);
  return;
  ;
}

void OOC_OOC_AST_ExtTree_XML_init(void) {

  return;
  ;
}

/* --- */
